Server Health and Monitoring

Microsoft® Small Business Server 2000 includes new features that let you monitor the condition of your servers, receive alerts when errors occur, and collect periodic snapshots of system status.

These features include:

BackOffice Home Snap-in

The BackOffice Home snap-in combines new management features and monitoring functionality to provide administrators with summary information about the health of connected servers. The BackOffice Home snap-in appears by default when you open Small Business Server Administrator Console. From the BackOffice Home snap-in, you can access and configure Server Status View and Server Status Reports.

Server Status View

The Server Status View appears each time you open Small Business Server Administrator Console or access the BackOffice Home snap-in. This view provides a current snapshot of critical events, performance counters, and services that you have chosen to monitor.

Server Status Reports

You can configure Small Business Server to send regular reports of the server's status automatically. The reports can include hardware condition, application health, and system performance. After they are generated, Server Status Reports can be sent in e-mail to administrators. When kept on file, these reports provide historical views of server resource use, which you can use to plan future upgrades and required maintenance. By default, Small Business Server sends Server Status Reports as text files, but they can also be attached in Extensible Markup Language (XML) format. You can attach log files to Server Status Reports to provide additional information about server health. The text files can also be faxed.

Health Monitor 2.1 (HealthMon)

Health Monitor 2.1 is designed to provide critical performance information on processes in Small Business Server and Microsoft Windows® 2000 Server. It uses information that is provided by Windows Management Instrumentation (WMI) events, which enables administrators to set critical or warning thresholds.

Related Topics

  BackOffice Home Snap-in

  How To


Introduction to Health Monitor 2.1

Health Monitor 2.1 (HealthMon) is included in Microsoft Small Business Server 2000 as a powerful real-time monitoring tool for administrators. HealthMon centrally collects system data such as system events, performance counters, and service status. The graphical interface enables you to select and display a list of servers in an organization, which provides easy access to several categories of information for each server that you want to monitor.

Administrators can use HealthMon to set critical or warning thresholds, and set up alerts for notification if these thresholds are exceeded.

Data types that you can monitor in Health Monitor 2.1

Data type | Description
Windows Management Instrumentation (WMI) instances, data queries, and event queries | WMI data (such as the amount of available disk space on all drives) and event notification (for example, the creation of a logical disk).
Performance Monitor counters | System-level resources such as the default server, logical disk, memory, paging file, physical disk, and processor.
Microsoft Windows NT events | Hardware, software, system, and Windows events.
Application services and processes | Status of a service or an active process (whether the service or process is running, paused, stopped, or started).
File or folder properties | Name, location, and size of specific files.
Hypertext Transfer Protocol (HTTP) addresses | Specified sites on Web servers (whether the site can be accessed and Web forms are being processed correctly).
Internet Control Message Protocol (ICMP) properties | Systems that can be tested through the ICMP protocol.

HealthMon provides exception-based, real-time status information that is grouped by system-level resources (such as processor, memory, physical disk, and server work queues) and by server applications and processes (such as SQL Server, Exchange Server, and Internet Information Services). A series of thresholds are provided by default, but the administrator can adjust these based on network need.

In response to a problem, HealthMon enables you to customize actions, such as sending alerts by e-mail or pager, writing a problem to a log file, running a script, and executing a command-line action.

For more information about configuring and using HealthMon, refer to Health Monitor Online Help.


BackOffice Home Snap-in

The BackOffice Home snap-in combines new management features and monitoring functionality to manage and display a graphical snapshot of the current health of the server. The BackOffice Home snap-in is loaded by default in the Small Business Server Administrator Console and the Small Business Server Personal Console, but you can also add it to new or existing consoles as with other snap-ins.

The BackOffice Home snap-in provides administrators with two key tools for managing server health.

Server Status View

Server Status View gives administrators of any level a view of the overall health of the servers and the issues that need attention. Administrators can customize the Server Status View to display only those performance counters and services that are critical to the organization.

Server Status View alerts are captured from Health Monitor 2.1. The alerts display server status by using the following icons:

Critical Error

Warning

No Connection

Graphs display performance counter values that are measured by percentage.

Services that are configured to start automatically by default appear in the Server Status View when they are not running. You can monitor additional services by selecting them on the Server Status View Configuration Properties page.

Server Status Reports

In addition to providing Server Status View, the BackOffice Home snap-in can be used to configure Small Business Server to automatically create and send Server Status Reports to administrators by e-mail or fax. You can customize Server Status Reports to include information about hardware condition, application health, and system performance. You can also attach log files to the reports that are sent by e-mail. Log files can help administrators troubleshoot system problems.

You can schedule Server Status Reports to run at any time and at repeated intervals. You can also export reports in XML format.

When kept on file, these reports provide valuable historical information about server usage that you can use to plan upgrades and required maintenance.

Related Topics

Display Server Status View

Customize Server Status View

Configure Server Status Reports

Grant Access to Server Status View


How To

Display Server Status View

Customize Server Status View

Configure Server Status Reports

Send Server Status Report Immediately

Grant Access to Server Status View


Configure Server Status Reports

You can configure Small Business Server to automatically create and send Server Status Reports to administrators by e-mail and/or by fax. You can customize Server Status Reports to include information about hardware condition, application health, and system performance. You can also attach log files to the reports that are sent by e-mail to help administrators troubleshoot system problems. When kept on file, Server Status Reports provide valuable historical information about server usage that you can use to plan for upgrades and required maintenance.

To configure Small Business Server to automatically create and send Server Status Reports

  1. Open the Small Business Server Administrator Console
    If the Server Status View does not appear by default, click the BackOffice Home node in the Console Tree.
  2. Right-click on the Server Status View, and then click Configure Report. The Server Status Report Configuration page appears.
  3. Click the Report Options tab.
  4. Select the types of data that you want to include on the Server Status Report. To receive reports in XML format, select Attach above data in XML format.
  5. Under Application log files, select the log files that you want to attach to the Server Status Report.
  6. To attach a log file that does not appear in the list, click Add, specify the information and path of the log file to be attached, and then click Add again.
  7. Click the Send Options tab. Specify if you want to send the Server Status Report to an e-mail address or fax number.

    Note

    • Before you can send a report by fax, you must install Shared Fax Service or its client software on the computer. In addition, a fax modem that is compatible with Microsoft Windows 2000 must be connected to the computer on which the fax server application is installed. Refer to the Windows 2000 Hardware Compatibility List.
    • Log files cannot be transmitted by fax.
  8. Click the Task tab.
  9. (Optional) You can type a comment that describes the report that will be created. In the Run as box, you can specify a user account and password.
  10. Click the Schedule tab.
  11. Select a task from the list, or click New to schedule a new task.
  12. Specify when you want the Server Status Report to run. To schedule a start or end date for running the report, or to schedule the report to run at repeated intervals, click Advanced. The Advanced Schedule Options page appears.
  13. Specify advanced scheduling options, and then click OK.
  14. Click OK to save your settings and close the Server Status Report Configuration page.

Before you can send a report by e-mail, you must first configure SMTP service on the computer that you are monitoring.

To configure SMTP service on a computer without Microsoft Exchange Server installed

  1. Configure TCP/IP properties. To do so, click Start, point to Settings, and then click Network and Dial-up Connections.
  2. Right-click the preferred LAN connection, and then click Properties.
  3. Select Internet Protocol TCP/IP. If Internet Protocol TCP/IP does not appear in the Components list, click Install, select Protocol, and then click Add.
  4. Click OK on each open properties page to save your changes.
  5. Restart the computer when prompted to do so.
  6. Configure SMTP properties. To do so, click Start, point to Programs, point to Administrative Tools, and then click Internet Services Manager.
  7. In the Console Tree, expand the node for the server, and then right-click Default SMTP Virtual Server.
  8. Specify the default SMTP virtual server settings, and then click OK to save your changes.

    Note If necessary, consult your ISP for assistance in configuring these settings.

To configure SMTP service on a computer with Exchange Server installed

  • Use the Small Business Server Internet Connection Wizard to configure SMTP services.

Related Topics

Send Server Status Report Immediately


Display Server Status View

The BackOffice Home snap-in must be installed in a management console to display the Server Status View. The Small Business Server Administrator Console and Small Business Server Personal Console are configured with the BackOffice Home snap-in by default.

To display the Server Status View in the Small Business Server Administrator Console

  1. Open the Small Business Server Administrator Console. To do this, click Start, point to Programs, point to Microsoft Small Business Server, and then click Small Business Server Administrator Console.
  2. In the Console Tree, click BackOffice Home. The Server Status View appears in the Details Pane.

To display the Server Status View in the Small Business Server Personal Console

  1. Open the Small Business Server Personal Console. Click Start, point to Programs, point to Microsoft Small Business Server, and then click Small Business Server Personal Console.
  2. Under Favorites, click Home. The Server Status View appears in the Details Pane.

To add the BackOffice Home snap-in to a new console in MMC

  1. On the Console menu, click Add/Remove Snap-in, and then click Add. The Add Standalone Snap-in page appears.
  2. Under Snap-in, double-click BackOffice Home.
  3. Close the Add Standalone Snap-in page.
  4. On the Add/Remove Snap-in page, click OK. A node for BackOffice Home appears in the Console Tree.

Notes

  • To open the Microsoft Management Console, click Start, click Run, type mmc and then click OK.
  • If the BackOffice Home snap-in does not appear in the list, you must first install it by using BackOffice Server Setup.

Related Topics

Customize Server Status View


Customize Server Status View

You can customize the Server Status View to display only the performance counters or services that you want to appear.

Note Services that are configured to start automatically by default appear in the Server Status View when they are not in use. You can monitor additional services by selecting them on the Server Status View Configuration Properties page.

To customize the Server Status View

  1. Open the Small Business Server Administrator Console
    If the Server Status View does not appear by default, click the BackOffice Home node in the Console Tree.
  2. Right-click on the Server Status View, and then click Configure View. The Server Status View Configuration Properties page appears.
  3. Click the tab for the server that you want to manage.
  4. Select the check boxes for performance counters that you want to appear in the Server Status View. Clear the check boxes for performance counters that you do not want to appear.
  5. Select the check boxes for services that you want to appear in the Server Status View. Clear the check boxes for services that you do not want to appear.
  6. If you want to periodically refresh the Server Status View, click the Global Settings tab, select Automatically refresh, and then specify a refresh interval.
  7. Click OK to save your settings, and then close the Server Status View Configuration Properties page.

Related Topics

Send Server Status Report Immediately


Send Server Status Report Immediately

Sometimes you might want to create and send a current Server Status Report immediately.

To create and send a current Server Status Report immediately

  1. Open the Small Business Server Administrator Console
    If the Server Status View does not appear by default, click the BackOffice Home node in the Console Tree.
  2. Right-click on the Server Status View, and then click Configure Report. The Server Status Report Configuration page appears.
  3. Click the Report Options tab.
  4. Select the types of data to include on the Server Status Report. To receive reports in XML format, select Attach above data in XML format.
  5. Under Application log files, select the log files that you want to attach to the Server Status Report.
  6. To attach a log file that does not appear in the list, click Add, specify the information and path of the log file to be attached, and then click Add again.
  7. Click the Send Options tab.
  8. Specify if you want to send the Server Status Report to an e-mail address or to a fax number.

    Notes

    • Before you can send a report by fax, you must install the Shared Fax Service or its client software on the computer. In addition, a fax modem that is compatible with Microsoft Windows 2000 must be connected to the computer where the fax application is installed. Refer to the Windows 2000 Hardware Compatibility List.
    • Log files cannot be transmitted by fax.
  9. Click Send Now.

Related Topics

Configure Server Status Reports


Grant Access to Server Status View

Users cannot use the Server Status View unless they are administrators for the computer that is being accessed or have been granted access permissions.

To grant a user access to the Server Status View

  1. Open the Microsoft Windows 2000 Computer Management Console. To do so, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.
  2. In the Console Tree, expand the Services and Applications node.
  3. Right-click WMI Control, and then click Properties.
  4. Click the Security tab, and then expand the Root folder.
  5. Select the CIMV2 folder, and then click Security. The Security for Root\CIMV2 properties page appears.
  6. Click Add. The Select Users, Computers, or Groups properties page appears.
  7. Select the user or group to be granted access to the Server Status View, click Add, and then click OK to save your changes.
  8. In the list of users, select the user or group to be granted access to the Server Status View, and then select the Enable Account and Remote Enable check boxes in the Allow column.
  9. Click Advanced. The Access Control Settings for CIMV2 properties page appears.
  10. Select the desired user or group, and then click View/Edit. The Permission Entry for CIMV2 properties page appears.
  11. Under Apply onto, select This namespace and subnamespaces.
  12. Click OK to save your changes and close the Permission Entry for CIMV2 properties page.
  13. Click OK to close the Access Control Settings for CIMV2 properties page.
  14. Click OK to save your changes and close the Security for Root\CIMV2 properties page.
  15. Click OK to save your changes and close the WMI Control Properties page.

This user or group can now use the Server Status View and Health Monitor 2.1.